/**
 * @file
 * @copyright GNU Public License
 * @author Jiří Procházka
*/

#ifndef _LOGINCONTROLLER_H_
#define _LOGINCONTROLLER_H_

#include "webpage.h"
#include "httprequest.h"
#include "httpresponse.h"
#include "httprequesthandler.h"


class LoginController : public WebPage {
    Q_OBJECT
    Q_DISABLE_COPY(LoginController);
public:

    /** Constructor */
    LoginController();

    /** Generates the response */
    void servicePrivate(HttpRequest& request);

private:
    void actionLogout(HttpRequest& request);
    void actionChPW(HttpRequest& request);
};

#endif
