/**
 * @file
 * @copyright GNU Public License
 * @author Petr Bravenec, Jiří Procházka
*/

#ifndef _MAINPAGECONTROLLER_H_
#define _MAINPAGECONTROLLER_H_

#include "webpage.h"
#include "httprequest.h"
#include "httpresponse.h"
#include "httprequesthandler.h"


class MainPageController : public WebPage {
    Q_OBJECT
    Q_DISABLE_COPY(MainPageController);
public:

    /** Constructor */
    MainPageController();

    /** Generates the response */
    void servicePrivate(HttpRequest& request);
};

#endif
