/**
 * @file
 * @author Petr Bravenec
*/

#include "settingscontroller.h"
#include <QVariant>
#include <QDateTime>

SettingsController::SettingsController(){
}

void SettingsController::servicePrivate(HttpRequest& request) {
    QByteArray action = request.getParameter("action");

    /** Default action/page */

    write(QString("<h2>%1</h2>\n").arg(tr("Settings")));
    write(QString("<ul>\n"));
    write(QString("<li><a href=\"/lines\">%1</a></li> ").arg(tr("Lines")));
    write(QString("<li><a href=\"/invertors\">%1</a></li> ").arg(tr("Invertors")));
    write(QString("<li><a href=\"/interfaceboxes\">%1</a></li> ").arg(tr("Interfaceboxes")));
    write(QString("<li><a href=\"/interfaceboxes?action=restart\">%1</a></li> ").arg(tr("Interfaceboxes restart")));
    write(QString("<li><a href=\"/geocoordinates\">%1</a></li>\n").arg(tr("Geographical coordinates")));
    write(QString("<li><a href=\"/login?action=chpw\">%1</a></li> ").arg(tr("Change Password")));
    #ifdef GENTOO
    write(QString("<li><a href=\"/network\">%1</a></li> ").arg(tr("Network settings")));
    #endif
    write(QString("<li><a href=\"/users?action=chpw\">%1</a></li> ").arg(tr("Users")));
    write(QString("</ul>\n"));
}

