/**
 * @file
 * @author Petr Bravenec, Jiří Procházka
 * @copyright GNU Public License
 */

#ifndef _MREQUESTHANDLER_H_
#define _MREQUESTHANDLER_H_

#include "httprequest.h"
#include "httpresponse.h"
#include "httpsession.h"
#include "static.h"
#include "httprequesthandler.h"

/**
  This controller demonstrates how to use sessions.
*/

class MRequestHandler : public HttpRequestHandler {
    Q_OBJECT
    Q_DISABLE_COPY(MRequestHandler);
  public:
    /** Constructor */
    MRequestHandler();


  protected:
    bool            needsLogin(HttpRequest& request, HttpResponse& response);

    bool            m_needs_access_data;
    bool            m_needs_change_settings;
    bool            m_cacheable;

  private:
};

#endif // SESSIONCONTROLLER_H
