/**
 * @file
 * @author Petr Bravenec
 * @copyright GNU Public License
 */

#ifndef _MAINTENANCE_H_
#define _MAINTENANCE_H_

#include <QObject>
#include <QTimer>

/**
 * @brief Simple database maintenance made every 24 hours.
 */
class MAINTENANCE : public QObject {
    Q_OBJECT
  public:
    MAINTENANCE(QObject *parent = 0);

  private slots:
    void        slotMaintenance();

  private:

};

#endif
